## kodi 18.6+dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(kodi LANGUAGES CXX C ASM)

if(POLICY CMP0069)
  set(CMAKE_POLICY_DEFAULT_CMP0069 NEW)
  cmake_policy(SET CMP0069 NEW)
endif()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
if(DEPENDS_DIR)
  list(APPEND CMAKE_PREFIX_PATH ${DEPENDS_DIR})
endif()

# Set CORE_BUILD_DIR
set(CORE_BUILD_DIR build)

message(STATUS "Source directory: ${CMAKE_SOURCE_DIR}")
message(STATUS "Build directory: ${CMAKE_BINARY_DIR}")
if(CMAKE_BINARY_DIR STREQUAL CMAKE_SOURCE_DIR)
  message(WARNING "In-source build detected. It is recommended to build out-of-source.")
endif()

# Hide messages from Check*.cmake (e.g. CheckCSourceCompiles)
if(NOT VERBOSE)
  set(CMAKE_REQUIRED_QUIET ON)
endif()

# Includes
include(cmake/modules/extra/ECMEnableSanitizers.cmake)
include(cmake/scripts/common/GeneratorSetup.cmake)
include(cmake/scripts/common/AddOptions.cmake)
include(cmake/scripts/common/Platform.cmake)
include(cmake/scripts/common/ArchSetup.cmake)
include(cmake/scripts/common/Macros.cmake)
include(cmake/scripts/common/ProjectMacros.cmake)
core_find_versions()
include(cmake/scripts/${CORE_SYSTEM_NAME}/PathSetup.cmake)
include(ExternalProject)

# Languages and global compiler settings
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_ASM_FLAGS "${CMAKE_C_FLAGS} -x assembler-with-cpp")

# general
option(VERBOSE            "Enable verbose output?" OFF)
option(ENABLE_DVDCSS      "Enable libdvdcss support?" ON)
option(ENABLE_UPNP        "Enable UPnP support?" ON)
option(ENABLE_AIRTUNES    "Enable AirTunes support?" ON)
option(ENABLE_OPTICAL     "Enable optical support?" ON)
option(ENABLE_PYTHON      "Enable python support?" ON)
# use ffmpeg from depends or system
option(ENABLE_INTERNAL_FFMPEG "Enable internal ffmpeg?" OFF)
if(UNIX)
  option(FFMPEG_PATH        "Path to external ffmpeg?" "")
  option(ENABLE_INTERNAL_CROSSGUID "Enable internal crossguid?" ON)
  option(ENABLE_INTERNAL_RapidJSON "Enable internal rapidjson?" OFF)
  option(ENABLE_INTERNAL_FMT "Enable internal fmt?" OFF)
  option(ENABLE_INTERNAL_FSTRCMP "Enable internal fstrcmp?" OFF)
  option(ENABLE_INTERNAL_FLATBUFFERS "Enable internal flatbuffers?" OFF)
endif()
# System options
if(NOT WIN32)
  option(WITH_ARCH              "build with given arch" OFF)
  option(WITH_CPU               "build with given cpu" OFF)
endif()
if(CORE_SYSTEM_NAME STREQUAL linux)
  option(ENABLE_EVENTCLIENTS    "Enable event clients support?" OFF)
endif()

# Build static libraries per directory
if(NOT CMAKE_GENERATOR MATCHES "Visual Studio" AND NOT CMAKE_GENERATOR STREQUAL Xcode)
  set(ENABLE_STATIC_LIBS TRUE)
else()
  set(ENABLE_STATIC_LIBS FALSE)
endif()

core_find_git_rev(APP_SCMID FULL)

# Dynamically loaded libraries built with the project
add_custom_target(${APP_NAME_LC}-libraries)
set(LIBRARY_FILES "" CACHE STRING "" FORCE)
mark_as_advanced(LIBRARY_FILES)

set(INCLUDES ${CMAKE_SOURCE_DIR}
             ${CMAKE_SOURCE_DIR}/lib
             ${CMAKE_SOURCE_DIR}/lib/gtest/include
             ${CMAKE_SOURCE_DIR}/xbmc
             ${CMAKE_SOURCE_DIR}/xbmc/${PLATFORM_DIR}
             ${CMAKE_SOURCE_DIR}/xbmc/cores/VideoPlayer
             ${CMAKE_BINARY_DIR}/${CORE_BUILD_DIR})

find_package(PkgConfig)
if(KODI_DEPENDSBUILD)
  if(PKG_CONFIG_EXECUTABLE)
    set(PKG_CONFIG_FOUND TRUE)
  endif()
endif()

find_package(Threads REQUIRED QUIET)
list(APPEND DEPLIBS ${CMAKE_THREAD_LIBS_INIT})


foreach(depspec ${PLATFORM_REQUIRED_DEPS})
  # We need to specify ENABLE_${PLATFORM_REQUIRED_DEPS} in order for the
  # optional subdirectory for the specified platform to get built.
  split_dependency_specification(${depspec} dep version)
  string(TOUPPER ${dep} depup)
  if(NOT ${ENABLE_${depup}} STREQUAL AUTO AND NOT ${ENABLE_${depup}})
    message(WARNING "Your request to disable the dependency ${dep} required on platform ${CORE_PLATFORM_NAME} was ignored. Please choose another platform or add \"-DENABLE_${depup}=ON\" to your CMake command line to resolve this warning.")
  endif()
  set(ENABLE_${depup} "ON" CACHE BOOL "Force enabling required ${depup} support" FORCE)
endforeach()

# Required dependencies. Keep in alphabetical order please
set(required_deps ASS
                  Cdio
                  Cpluff
                  CrossGUID
                  Curl
                  FFMPEG
                  FlatBuffers
                  Fmt
                  FreeType
                  FriBidi
                  fstrcmp
                  Iconv
                  LibDvd
                  Lzo2
                  OpenSSL
                  PCRE
                  RapidJSON
                  Sqlite3
                  TagLib
                  TinyXML
                  ZLIB
                  ${PLATFORM_REQUIRED_DEPS})

# Optional dependencies. Keep in alphabetical order please
set(optional_deps Alsa
                  Avahi
                  Bluetooth
                  Bluray
                  CAP
                  CCache
                  CEC
                  DBus
                  LCMS2
                  LircClient
                  MDNS
                  MicroHttpd
                  NFS
                  PulseAudio
                  Python
                  SmbClient
                  Sndio
                  UDEV
                  XSLT
                  ${PLATFORM_OPTIONAL_DEPS})

# Optional, dyloaded deps. Keep in alphabetical order please
set(dyload_optional Plist)

# Required tools
find_package(TexturePacker REQUIRED)
find_package(JsonSchemaBuilder REQUIRED)

# Check optional deps first, since their availability can influence required ones, e.g. ffmpeg
core_optional_dep(${optional_deps})
core_optional_dyload_dep(${dyload_optional})
core_require_dep(${required_deps})

if(ENABLE_MARIADBCLIENT AND NOT ENABLE_MARIADBCLIENT STREQUAL AUTO AND ENABLE_MYSQLCLIENT AND NOT ENABLE_MYSQLCLIENT STREQUAL AUTO)
  MESSAGE(FATAL_ERROR "You can not use MySql and MariaDB at the same time. Disable one by adding -DENABLE_MYSQLCLIENT=OFF or -DENABLE_MARIADBCLIENT=OFF.")
elseif(ENABLE_MYSQLCLIENT AND NOT ENABLE_MYSQLCLIENT STREQUAL AUTO)
  set(ENABLE_MARIADBCLIENT OFF CACHE BOOL "")
endif()

core_optional_dep(MariaDBClient)
if(NOT MARIADBCLIENT_FOUND)
  core_optional_dep(MySqlClient)
endif()

if(NOT UDEV_FOUND)
  core_optional_dep(LibUSB)
endif()

if(ENABLE_UPNP)
  list(APPEND DEP_DEFINES "-DHAS_UPNP=1")
endif()

if(ENABLE_OPTICAL)
  list(APPEND DEP_DEFINES -DHAS_DVD_DRIVE -DHAS_CDDA_RIPPER)
endif()

if(ENABLE_AIRTUNES)
  find_package(Shairplay)
  if(SHAIRPLAY_FOUND)
    core_require_dyload_dep(Shairplay)
  endif()
endif()

if(CORE_SYSTEM_NAME STREQUAL osx)
  core_require_dep(Sdl)
endif()

# find all folders containing addon.xml.in
# used to define ADDON_XML_OUTPUTS, ADDON_XML_DEPENDS and ADDON_INSTALL_DATA
# Function defined in ./cmake/scripts/common/Macros.cmake
set(outputFilterRegex "addons/xbmc.json")
find_addon_xml_in_files(${outputFilterRegex})

# Compile Info
add_custom_command(OUTPUT ${CORE_BUILD_DIR}/xbmc/CompileInfo.cpp
                          ${ADDON_XML_OUTPUTS}
                   COMMAND ${CMAKE_COMMAND} -DCORE_SOURCE_DIR=${CMAKE_SOURCE_DIR}
                                            -DCORE_SYSTEM_NAME=${CORE_SYSTEM_NAME}
                                            -DCORE_BUILD_DIR=${CORE_BUILD_DIR}
                                            -DCMAKE_BINARY_DIR=${CMAKE_BINARY_DIR}
                                            -DARCH_DEFINES="${ARCH_DEFINES}"
                                            -DAPP_SCMID=${APP_SCMID}
                                            -DAPP_COPYRIGHT_YEARS=${APP_COPYRIGHT_YEARS}
                                            -DAPP_BUILD_DATE=${APP_BUILD_DATE}
                                            -Dprefix=${CMAKE_BINARY_DIR}/${CORE_BUILD_DIR}
                                            -P ${CMAKE_SOURCE_DIR}/cmake/scripts/common/GenerateVersionedFiles.cmake
                   DEPENDS ${CMAKE_SOURCE_DIR}/version.txt
                           export-files
                           ${ADDON_XML_DEPENDS}
                           ${CMAKE_SOURCE_DIR}/xbmc/CompileInfo.cpp.in)
list(APPEND install_data ${ADDON_INSTALL_DATA})
add_library(compileinfo OBJECT ${CORE_BUILD_DIR}/xbmc/CompileInfo.cpp)
set_target_properties(compileinfo PROPERTIES FOLDER "Build Utilities")
target_compile_options(compileinfo PRIVATE "${SYSTEM_DEFINES}")

# RC File
if(WIN32)
  configure_file(${CMAKE_SOURCE_DIR}/xbmc/platform/win32/XBMC_PC.rc.in
                 ${CORE_BUILD_DIR}/xbmc/platform/win32/XBMC_PC.rc @ONLY)
  add_library(resources OBJECT ${CORE_BUILD_DIR}/xbmc/platform/win32/XBMC_PC.rc)
  set_target_properties(resources PROPERTIES FOLDER "Build Utilities")
  target_include_directories(resources PRIVATE ${CMAKE_SOURCE_DIR}/tools/windows/packaging/media)
  set(RESOURCES $<TARGET_OBJECTS:resources>)
endif()

# Generate messages
core_add_subdirs_from_filelist(${CMAKE_SOURCE_DIR}/cmake/messages/flatbuffers/*.txt)

include_directories(${INCLUDES} ${SYSTEM_INCLUDES})
add_compile_options(${ARCH_DEFINES} "${SYSTEM_DEFINES}" ${DEP_DEFINES} ${PATH_DEFINES})

set(core_DEPENDS "" CACHE STRING "" FORCE)
set(test_archives "" CACHE STRING "" FORCE)
set(test_sources "" CACHE STRING "" FORCE)
set(sca_sources "" CACHE STRING "" FORCE)
mark_as_advanced(core_DEPENDS)
mark_as_advanced(test_archives)
mark_as_advanced(test_sources)

add_subdirectory(${CMAKE_SOURCE_DIR}/lib/gtest ${CORE_BUILD_DIR}/gtest EXCLUDE_FROM_ALL)
set_target_properties(gtest PROPERTIES FOLDER "External Projects")

# copy files to build tree
copy_files_from_filelist_to_buildtree(${CMAKE_SOURCE_DIR}/cmake/installdata/common/*.txt
                                      ${CMAKE_SOURCE_DIR}/cmake/installdata/${CORE_SYSTEM_NAME}/*.txt)

list(APPEND SKINS "${CMAKE_SOURCE_DIR}/addons/skin.estuary\;${CMAKE_SOURCE_DIR}")
list(APPEND SKINS "${CMAKE_SOURCE_DIR}/addons/skin.estouchy\;${CMAKE_SOURCE_DIR}")

# These are skins that are copied into place from the source tree
foreach(skin ${SKINS})
  list(GET skin 0 dir)
  list(GET skin 1 relative)
  copy_skin_to_buildtree(${dir} ${relative})
endforeach()

add_custom_target(pack-skins ALL
                  DEPENDS TexturePacker::TexturePacker export-files ${XBT_FILES})
set_target_properties(pack-skins PROPERTIES FOLDER "Build Utilities")

file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/system/players/VideoPlayer)

set(LIBCEC_SONAME "${CEC_SONAME}")
if(NOT CORE_SYSTEM_NAME STREQUAL windows AND NOT CORE_SYSTEM_NAME STREQUAL android AND NOT CORE_SYSTEM_NAME STREQUAL windowsstore)
  configure_file(${CMAKE_SOURCE_DIR}/xbmc/DllPaths_generated.h.in
                 ${CORE_BUILD_DIR}/DllPaths_generated.h @ONLY)
elseif(CORE_SYSTEM_NAME STREQUAL android)
  configure_file(${CMAKE_SOURCE_DIR}/xbmc/DllPaths_generated_android.h.in
                 ${CORE_BUILD_DIR}/DllPaths_generated_android.h @ONLY)
endif()

set(GLOBAL_TARGET_DEPS libcpluff ffmpeg dvdnav crossguid fmt fstrcmp flatbuffers ${PLATFORM_GLOBAL_TARGET_DEPS})

# main library (used for main binary and tests)
add_library(lib${APP_NAME_LC} STATIC $<TARGET_OBJECTS:compileinfo>)
add_dependencies(lib${APP_NAME_LC} ${GLOBAL_TARGET_DEPS})
set_target_properties(lib${APP_NAME_LC} PROPERTIES PREFIX "")

# Other files (IDE)
set(OTHER_FILES cmake/README.md)

# Subdirs
core_add_subdirs_from_filelist(${CMAKE_SOURCE_DIR}/cmake/treedata/common/*.txt
                               ${CMAKE_SOURCE_DIR}/cmake/treedata/${CORE_SYSTEM_NAME}/*.txt)
core_add_optional_subdirs_from_filelist(${CMAKE_SOURCE_DIR}/cmake/treedata/optional/common/*.txt
                                        ${CMAKE_SOURCE_DIR}/cmake/treedata/optional/${CORE_SYSTEM_NAME}/*.txt)

target_link_libraries(lib${APP_NAME_LC} PUBLIC ${core_DEPENDS} ${SYSTEM_LDFLAGS} ${DEPLIBS} ${CMAKE_DL_LIBS})
set_target_properties(lib${APP_NAME_LC} PROPERTIES PROJECT_LABEL "xbmc")
source_group_by_folder(lib${APP_NAME_LC} RELATIVE ${CMAKE_SOURCE_DIR}/xbmc)
if(WIN32)

=== xbmc/CMakeLists.txt ===
set(SOURCES Application.cpp
            AppInboundProtocol.cpp
            ApplicationPlayer.cpp
            ApplicationStackHelper.cpp
            AppParamParser.cpp
            AutoSwitch.cpp
            BackgroundInfoLoader.cpp
            ContextMenuItem.cpp
            ContextMenuManager.cpp
            ContextMenus.cpp
            CueDocument.cpp
            DatabaseManager.cpp
            DbUrl.cpp
            DynamicDll.cpp
            FileItem.cpp
            FileItemListModification.cpp
            GUIInfoManager.cpp
            GUILargeTextureManager.cpp
            GUIPassword.cpp
            InfoScanner.cpp
            LangInfo.cpp
            MediaSource.cpp
            NfoFile.cpp
            PasswordManager.cpp
            PlayListPlayer.cpp
            PartyModeManager.cpp
            SectionLoader.cpp
            SeekHandler.cpp
            ServiceBroker.cpp
            ServiceManager.cpp
            SystemGlobals.cpp
            TextureCache.cpp
            TextureCacheJob.cpp
            TextureDatabase.cpp
            ThumbLoader.cpp
            URL.cpp
            Util.cpp
            XBApplicationEx.cpp
            XBDateTime.cpp)

set(HEADERS AppParamParser.h
            Application.h
            AppInboundProtocol.h
            ApplicationPlayer.h
            ApplicationStackHelper.h
            AutoSwitch.h
            BackgroundInfoLoader.h
            CompileInfo.h
            ContextMenuItem.h
            ContextMenuManager.h
            ContextMenus.h
            CueDocument.h
            DatabaseManager.h
            DbUrl.h
            DllPaths.h
            DllPaths_win32.h
            DynamicDll.h
            FileItem.h
            FileItemListModification.h
            GUIInfoManager.h
            GUILargeTextureManager.h
            GUIPassword.h
            GUIUserMessages.h
            IFileItemListModifier.h
            IProgressCallback.h
            InfoScanner.h
            LangInfo.h
            MediaSource.h
            NfoFile.h
            PartyModeManager.h
            PasswordManager.h
            PlayListPlayer.h
            SectionLoader.h
            SeekHandler.h
            ServiceBroker.h
            ServiceManager.h
            SortFileItem.h
            TextureCache.h
            TextureCacheJob.h
            TextureDatabase.h
            ThumbLoader.h
            URL.h
            Util.h
            XBApplicationEx.h
            XBDateTime.h
            system.h
            system_gl.h)

if(ENABLE_OPTICAL)
  list(APPEND SOURCES Autorun.cpp)
  list(APPEND HEADERS Autorun.h)
endif()

core_add_library(xbmc)
if(CAP_FOUND)
  target_compile_definitions(${CORE_LIBRARY} PRIVATE -DHAVE_LIBCAP=1)
endif()

if(CORE_SYSTEM_NAME STREQUAL windowsstore)
  set_target_properties(${CORE_LIBRARY} PROPERTIES STATIC_LIBRARY_FLAGS "/ignore:4264")
endif()

=== lib/cpluff/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(libcpluff VERSION 0.1.4 LANGUAGES C)

find_package(expat 2.2.0 REQUIRED)

add_library(${PROJECT_NAME}
  ${CMAKE_CURRENT_SOURCE_DIR}/kazlib/hash.h
  ${CMAKE_CURRENT_SOURCE_DIR}/kazlib/hash.c
  ${CMAKE_CURRENT_SOURCE_DIR}/kazlib/list.h
  ${CMAKE_CURRENT_SOURCE_DIR}/kazlib/list.c
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/context.c
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/cpluff.h
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/cpluff.c
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/defines.h
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/internal.h
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/logging.c
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/pcontrol.c
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/pinfo.c
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/ploader.c
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/pscan.c
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/psymbol.c
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/serial.c
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/thread.h
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/util.h
  ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/util.c
)

if(WIN32)
  target_sources(${PROJECT_NAME} PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/thread_windows.c
    ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/win32/cpluffdef.h
    ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/win32/dirent.h
    ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/win32/dirent.c
    ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/win32/win32_utils.h
    ${CMAKE_CURRENT_SOURCE_DIR}/libcpluff/win32/win32_utils.c
  )
endif()

target_link_libraries(${PROJECT_NAME} PRIVATE ${EXPAT_LIBRARIES})

target_include_directories(${PROJECT_NAME}
  PRIVATE
  $<BUILD_INTERFACE:kazlib;libcpluff;libcpluff/win32;${EXPAT_INCLUDE_DIR}>
  INTERFACE
  $<INSTALL_INTERFACE:include>
)

target_compile_definitions(${PROJECT_NAME} PRIVATE -Dhash_delete=kazlib_hash_delete -Dhash_free=kazlib_hash_free -Dhash_insert=kazlib_hash_insert -Dlist_delete=kazlib_list_delete)

target_compile_definitions(${PROJECT_NAME}
  PRIVATE
  XML_STATIC
  CP_C_API=CP_EXPORT
  _CRT_SECURE_NO_WARNINGS
  _CRT_NONSTDC_NO_DEPRECATE
)

=== lib/libUPnP/CMakeLists.txt ===
set(SOURCES Platinum/Source/Core/PltAction.cpp
            Platinum/Source/Core/PltArgument.cpp
            Platinum/Source/Core/PltConstants.cpp
            Platinum/Source/Core/PltCtrlPoint.cpp
            Platinum/Source/Core/PltCtrlPointTask.cpp
            Platinum/Source/Core/PltDatagramStream.cpp
            Platinum/Source/Core/PltDeviceData.cpp
            Platinum/Source/Core/PltDeviceHost.cpp
            Platinum/Source/Core/PltEvent.cpp
            Platinum/Source/Core/PltHttp.cpp
            Platinum/Source/Core/PltHttpClientTask.cpp
            Platinum/Source/Core/PltHttpServer.cpp
            Platinum/Source/Core/PltHttpServerTask.cpp
            Platinum/Source/Core/PltIconsData.cpp
            Platinum/Source/Core/PltMimeType.cpp
            Platinum/Source/Core/PltProtocolInfo.cpp
            Platinum/Source/Core/PltService.cpp
            Platinum/Source/Core/PltSsdp.cpp
            Platinum/Source/Core/PltStateVariable.cpp
            Platinum/Source/Core/PltTaskManager.cpp
            Platinum/Source/Core/PltThreadTask.cpp
            Platinum/Source/Core/PltUPnP.cpp
            Platinum/Source/Devices/MediaServer/PltDidl.cpp
            Platinum/Source/Devices/MediaServer/PltFileMediaServer.cpp
            Platinum/Source/Devices/MediaServer/PltMediaBrowser.cpp
            Platinum/Source/Devices/MediaServer/PltMediaCache.cpp
            Platinum/Source/Devices/MediaServer/PltMediaItem.cpp
            Platinum/Source/Devices/MediaServer/PltMediaServer.cpp
            Platinum/Source/Devices/MediaServer/ConnectionManagerSCPD.cpp
            Platinum/Source/Devices/MediaServer/ContentDirectorySCPD.cpp
            Platinum/Source/Devices/MediaServer/ContentDirectorywSearchSCPD.cpp
            Platinum/Source/Devices/MediaServer/PltSyncMediaBrowser.cpp
            Neptune/Source/Core/Neptune.cpp
            Neptune/Source/Core/NptAutomaticCleaner.cpp
            Neptune/Source/Core/NptBase64.cpp
            Neptune/Source/Core/NptBufferedStreams.cpp
            Neptune/Source/Core/NptCommon.cpp
            Neptune/Source/Core/NptDataBuffer.cpp
            Neptune/Source/Core/NptDebug.cpp
            Neptune/Source/Core/NptFile.cpp
            Neptune/Source/Core/NptHash.cpp
            Neptune/Source/Core/NptHttp.cpp
            Neptune/Source/Core/NptList.cpp
            Neptune/Source/Core/NptLogging.cpp
            Neptune/Source/Core/NptMessaging.cpp
            Neptune/Source/Core/NptNetwork.cpp
            Neptune/Source/Core/NptQueue.cpp
            Neptune/Source/Core/NptResults.cpp
            Neptune/Source/Core/NptRingBuffer.cpp
            Neptune/Source/Core/NptSimpleMessageQueue.cpp
            Neptune/Source/Core/NptSockets.cpp
            Neptune/Source/Core/NptStreams.cpp
            Neptune/Source/Core/NptStrings.cpp
            Neptune/Source/Core/NptSystem.cpp
            Neptune/Source/Core/NptThreads.cpp
            Neptune/Source/Core/NptTime.cpp
            Neptune/Source/Core/NptTls.cpp
            Neptune/Source/Core/NptUri.cpp
            Neptune/Source/Core/NptUtils.cpp
            Neptune/Source/Core/NptXml.cpp
            Neptune/Source/System/Bsd/NptBsdResolver.cpp
            Neptune/Source/System/Bsd/NptBsdSockets.cpp
            Neptune/Source/System/StdC/NptStdcDebug.cpp
            Neptune/Source/System/StdC/NptStdcEnvironment.cpp
            Platinum/Source/Devices/MediaRenderer/PltMediaRenderer.cpp
            Platinum/Source/Devices/MediaRenderer/PltMediaController.cpp
            Platinum/Source/Devices/MediaRenderer/AVTransportSCPD.cpp
            Platinum/Source/Devices/MediaRenderer/RdrConnectionManagerSCPD.cpp
            Platinum/Source/Devices/MediaRenderer/RenderingControlSCPD.cpp
            Platinum/Source/Devices/MediaConnect/X_MS_MediaReceiverRegistrarSCPD.cpp
            Platinum/Source/Devices/MediaConnect/PltMediaConnect.cpp
            Neptune/Source/System/Posix/NptPosixEnvironment.cpp)

if(NOT CORE_SYSTEM_NAME STREQUAL windows AND NOT CORE_SYSTEM_NAME STREQUAL windowsstore)
  list(APPEND SOURCES Neptune/Source/System/Posix/NptPosixSystem.cpp
                      Neptune/Source/System/Posix/NptSelectableMessageQueue.cpp
                      Neptune/Source/System/Posix/NptPosixQueue.cpp
                      Neptune/Source/System/Posix/NptPosixThreads.cpp
                      Neptune/Source/System/Posix/NptPosixTime.cpp
                      Neptune/Source/System/Bsd/NptBsdNetwork.cpp)
  if(APPLE)
    list(APPEND SOURCES Neptune/Source/System/Apple/NptAppleAutoreleasePool.mm)
  else()
    list(APPEND SOURCES Neptune/Source/System/Null/NptNullAutoreleasePool.cpp)
  endif()
else()
  list(APPEND SOURCES Neptune/Source/System/Win32/NptWin32Console.cpp
                      Neptune/Source/System/Win32/NptWin32Debug.cpp
                      Neptune/Source/System/Win32/NptWin32DynamicLibraries.cpp
                      Neptune/Source/System/Win32/NptWin32MessageQueue.cpp
                      Neptune/Source/System/Win32/NptWin32Network.cpp
                      Neptune/Source/System/Win32/NptWin32Queue.cpp
                      Neptune/Source/System/Win32/NptWin32SerialPort.cpp
                      Neptune/Source/System/Win32/NptWin32System.cpp
                      Neptune/Source/System/Win32/NptWin32Threads.cpp
                      Neptune/Source/System/Win32/NptWin32Time.cpp)
endif()

if(CORE_SYSTEM_NAME STREQUAL "freebsd")
  list(APPEND SOURCES Neptune/Source/System/Bsd/NptBsdResolver.cpp
                      Neptune/Source/System/Bsd/NptBsdSockets.cpp)
endif()


add_library(upnp STATIC ${SOURCES} ${HEADERS})
target_compile_definitions(upnp PUBLIC -DNPT_CONFIG_ENABLE_LOGGING)
if(CORE_SYSTEM_NAME STREQUAL "freebsd")
  target_compile_definitions(upnp PUBLIC -DNPT_CONFIG_HAVE_GETADDRINFO)
endif()

target_include_directories(upnp PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
                                       Platinum/Source/Core
                                       Platinum/Source/Platinum
                                       Platinum/Source/Devices/MediaConnect
                                       Platinum/Source/Devices/MediaRenderer
                                       Platinum/Source/Devices/MediaServer
                                       Platinum/Source/Extras
                                       Neptune/Source/Core
                                       Neptune/Source/System/Posix)
if(CORE_SYSTEM_NAME STREQUAL windows OR CORE_SYSTEM_NAME STREQUAL windowsstore)
  target_include_directories(upnp PRIVATE Neptune/Source/System/Win32)
endif()
set_target_properties(upnp PROPERTIES FOLDER lib)
source_group_by_folder(upnp)
set(core_DEPENDS upnp ${core_DEPENDS} CACHE STRING "" FORCE)

if(CORE_SYSTEM_NAME STREQUAL windowsstore)
	set_target_properties(upnp PROPERTIES STATIC_LIBRARY_FLAGS "/ignore:4264")
endif()

=== xbmc/addons/CMakeLists.txt ===
set(SOURCES Addon.cpp
            AddonBuilder.cpp
            BinaryAddonCache.cpp
            AddonDatabase.cpp
            AddonInfo.cpp
            AddonInstaller.cpp
            AddonManager.cpp
            AddonStatusHandler.cpp
            AddonSystemSettings.cpp
            AddonVersion.cpp
            AudioDecoder.cpp
            AudioEncoder.cpp
            ContextMenuAddon.cpp
            ContextMenus.cpp
            FontResource.cpp
            FilesystemInstaller.cpp
            GameResource.cpp
            GUIDialogAddonInfo.cpp
            GUIViewStateAddonBrowser.cpp
            GUIWindowAddonBrowser.cpp
            ImageDecoder.cpp
            ImageResource.cpp
            LanguageResource.cpp
            PluginSource.cpp
            PVRClient.cpp
            PVRClientMenuHooks.cpp
            Repository.cpp
            RepositoryUpdater.cpp
            Scraper.cpp
            ScreenSaver.cpp
            Service.cpp
            Skin.cpp
            UISoundsResource.cpp
            VFSEntry.cpp
            Visualization.cpp
            Webinterface.cpp)

set(HEADERS Addon.h
            AddonBuilder.h
            AddonEvents.h
            BinaryAddonCache.h
            AddonDatabase.h
            AddonInfo.h
            AddonInstaller.h
            AddonManager.h
            AddonProvider.h
            AddonStatusHandler.h
            AddonSystemSettings.h
            AddonVersion.h
            AudioDecoder.h
            AudioEncoder.h
            ContextMenuAddon.h
            ContextMenus.h
            FilesystemInstaller.h
            FontResource.h
            GameResource.h
            GUIDialogAddonInfo.h
            GUIViewStateAddonBrowser.h
            GUIWindowAddonBrowser.h
            IAddon.h
            ImageDecoder.h
            ImageResource.h
            LanguageResource.h
            PluginSource.h
            PVRClient.h
            PVRClientMenuHooks.h
            Repository.h
            RepositoryUpdater.h
            Resource.h
            Scraper.h
            ScreenSaver.h
            Service.h
            Skin.h
            UISoundsResource.h
            VFSEntry.h
            Visualization.h
            Webinterface.h)

core_add_library(addons)

=== xbmc/cores/CMakeLists.txt ===
set(SOURCES DataCacheCore.cpp
            FFmpeg.cpp
            VideoSettings.cpp)

set(HEADERS DataCacheCore.h
            FFmpeg.h
            GameSettings.h
            IPlayer.h
            IPlayerCallback.h
            VideoSettings.h)

if(CORE_PLATFORM_NAME_LC STREQUAL rbpi)
  add_subdirectory(omxplayer)
endif()

core_add_library(cores)

=== xbmc/dbwrappers/CMakeLists.txt ===
set(SOURCES Database.cpp
            DatabaseQuery.cpp
            dataset.cpp
            qry_dat.cpp
            sqlitedataset.cpp)

set(HEADERS Database.h
            DatabaseQuery.h
            dataset.h
            qry_dat.h
            sqlitedataset.h)

if(MYSQLCLIENT_FOUND OR MARIADBCLIENT_FOUND)
  list(APPEND SOURCES mysqldataset.cpp)
  list(APPEND HEADERS mysqldataset.h)
endif()

core_add_library(dbwrappers)

=== xbmc/dialogs/CMakeLists.txt ===
set(SOURCES GUIDialogBoxBase.cpp
            GUIDialogBusy.cpp
            GUIDialogBusyNoCancel.cpp
            GUIDialogButtonMenu.cpp
            GUIDialogCache.cpp
            GUIDialogContextMenu.cpp
            GUIDialogExtendedProgressBar.cpp
            GUIDialogFileBrowser.cpp
            GUIDialogGamepad.cpp
            GUIDialogKaiToast.cpp
            GUIDialogKeyboardGeneric.cpp
            GUIDialogKeyboardTouch.cpp
            GUIDialogMediaFilter.cpp
            GUIDialogMediaSource.cpp
            GUIDialogNumeric.cpp
            GUIDialogOK.cpp
            GUIDialogPlayEject.cpp
            GUIDialogPlayerControls.cpp
            GUIDialogPlayerProcessInfo.cpp
            GUIDialogProgress.cpp
            GUIDialogSeekBar.cpp
            GUIDialogSelect.cpp
            GUIDialogSimpleMenu.cpp
            GUIDialogSlider.cpp
            GUIDialogSmartPlaylistEditor.cpp
            GUIDialogSmartPlaylistRule.cpp
            GUIDialogSubMenu.cpp
            GUIDialogTextViewer.cpp
            GUIDialogVolumeBar.cpp
            GUIDialogYesNo.cpp)

set(HEADERS GUIDialogBoxBase.h
            GUIDialogBusy.h
            GUIDialogBusyNoCancel.h
            GUIDialogButtonMenu.h
            GUIDialogCache.h
            GUIDialogContextMenu.h
            GUIDialogExtendedProgressBar.h
            GUIDialogFileBrowser.h
            GUIDialogGamepad.h
            GUIDialogKaiToast.h
            GUIDialogKeyboardGeneric.h
            GUIDialogKeyboardTouch.h
            GUIDialogMediaFilter.h
            GUIDialogMediaSource.h
            GUIDialogNumeric.h
            GUIDialogOK.h
            GUIDialogPlayEject.h
            GUIDialogPlayerControls.h
            GUIDialogPlayerProcessInfo.h
            GUIDialogProgress.h
            GUIDialogSeekBar.h
            GUIDialogSelect.h
            GUIDialogSimpleMenu.h
            GUIDialogSlider.h
            GUIDialogSmartPlaylistEditor.h
            GUIDialogSmartPlaylistRule.h
            GUIDialogSubMenu.h
            GUIDialogTextViewer.h
            GUIDialogVolumeBar.h
            GUIDialogYesNo.h
            IGUIVolumeBarCallback.h)

core_add_library(dialogs)

=== xbmc/filesystem/CMakeLists.txt ===
set(SOURCES AddonsDirectory.cpp
            AudioBookFileDirectory.cpp
            CacheStrategy.cpp
            CircularCache.cpp
            CurlFile.cpp
            DAVCommon.cpp
            DAVDirectory.cpp
            DAVFile.cpp
            DirectoryCache.cpp
            Directory.cpp
            DirectoryFactory.cpp
            DirectoryHistory.cpp
            DllLibCurl.cpp
            EventsDirectory.cpp
            FavouritesDirectory.cpp
            FileCache.cpp
            File.cpp
            FileDirectoryFactory.cpp
            FileFactory.cpp
            FTPDirectory.cpp
            FTPParse.cpp
            HTTPDirectory.cpp
            IDirectory.cpp
            IFile.cpp
            ImageFile.cpp
            iso9660.cpp
            ISO9660Directory.cpp
            ISOFile.cpp
            LibraryDirectory.cpp
            MultiPathDirectory.cpp
            MultiPathFile.cpp
            MusicDatabaseDirectory.cpp
            MusicDatabaseFile.cpp
            MusicFileDirectory.cpp
            MusicSearchDirectory.cpp
            OverrideDirectory.cpp
            OverrideFile.cpp
            PipeFile.cpp
            PipesManager.cpp
            PlaylistDirectory.cpp
            PlaylistFileDirectory.cpp
            PluginDirectory.cpp
            PVRDirectory.cpp
            ResourceDirectory.cpp
            ResourceFile.cpp
            RSSDirectory.cpp
            ShoutcastFile.cpp
            SmartPlaylistDirectory.cpp
            SourcesDirectory.cpp
            SpecialProtocol.cpp
            SpecialProtocolDirectory.cpp
            SpecialProtocolFile.cpp
            StackDirectory.cpp
            udf25.cpp
            UDFDirectory.cpp
            UDFFile.cpp
            VideoDatabaseDirectory.cpp
            VideoDatabaseFile.cpp
            VirtualDirectory.cpp
            XbtDirectory.cpp
            XbtFile.cpp
            XbtManager.cpp
            ZeroconfDirectory.cpp
            ZipDirectory.cpp
            ZipFile.cpp
            ZipManager.cpp)

set(HEADERS AddonsDirectory.h
            CacheStrategy.h
            CircularCache.h
            CurlFile.h
            DAVCommon.h
            DAVDirectory.h
            DAVFile.h
            Directorization.h
            Directory.h
            DirectoryCache.h
            DirectoryFactory.h
            DirectoryHistory.h
            DllLibCurl.h
            EventsDirectory.h
            FTPDirectory.h
            FTPParse.h
            FavouritesDirectory.h
            File.h
            FileCache.h
            FileDirectoryFactory.h
            FileFactory.h
            HTTPDirectory.h
            IDirectory.h
            IFile.h
            IFileDirectory.h
            IFileTypes.h
            ImageFile.h
            ISO9660Directory.h
            ISOFile.h
            iso9660.h
            LibraryDirectory.h
            MultiPathDirectory.h
            MultiPathFile.h
            MusicDatabaseDirectory.h
            MusicDatabaseFile.h
            MusicFileDirectory.h
            MusicSearchDirectory.h
            OverrideDirectory.h
            OverrideFile.h
            PVRDirectory.h
            PipeFile.h
            PipesManager.h
            PlaylistDirectory.h
            PlaylistFileDirectory.h
            PluginDirectory.h
            RSSDirectory.h
            ResourceDirectory.h
            ResourceFile.h
            ShoutcastFile.h
            SmartPlaylistDirectory.h
            SourcesDirectory.h
            SpecialProtocol.h
            SpecialProtocolDirectory.h
            SpecialProtocolFile.h
            StackDirectory.h
            udf25.h
            UDFDirectory.h
            UDFFile.h
            VideoDatabaseDirectory.h
            VirtualDirectory.h
            XbtDirectory.h
            XbtFile.h
            XbtManager.h
            ZeroconfDirectory.h
            ZipDirectory.h
            ZipFile.h
            ZipManager.h)

if(BLURAY_FOUND)
  list(APPEND SOURCES BlurayCallback.cpp
                      BlurayDirectory.cpp
                      BlurayFile.cpp)
  list(APPEND HEADERS BlurayCallback.h
                      BlurayDirectory.h
                      BlurayFile.h)
endif()

if(ENABLE_OPTICAL)
  list(APPEND SOURCES CDDADirectory.cpp
                      CDDAFile.cpp)
  list(APPEND HEADERS CDDADirectory.h
                      CDDAFile.h)
endif()

if(NFS_FOUND)
  list(APPEND SOURCES NFSDirectory.cpp
                      NFSFile.cpp)
  list(APPEND HEADERS NFSDirectory.h
                      NFSFile.h)
endif()

if(ENABLE_UPNP)
  list(APPEND SOURCES NptXbmcFile.cpp
                      UPnPDirectory.cpp
                      UPnPFile.cpp)
  list(APPEND HEADERS UPnPDirectory.h
                      UPnPFile.h)
endif()

core_add_library(filesystem)
if(ENABLE_STATIC_LIBS AND ENABLE_UPNP)
  target_link_libraries(filesystem PRIVATE upnp)
endif()

=== xbmc/guilib/CMakeLists.txt ===
set(SOURCES DDSImage.cpp
            DirtyRegionSolvers.cpp
            DirtyRegionTracker.cpp
            FFmpegImage.cpp
            GUIAction.cpp
            GUIAudioManager.cpp
            GUIBaseContainer.cpp
            GUIBorderedImage.cpp
            GUIButtonControl.cpp
            GUIColorManager.cpp
            GUIComponent.cpp
            GUIControl.cpp
            GUIControlFactory.cpp
            GUIControlGroup.cpp
            GUIControlGroupList.cpp
            GUIControlLookup.cpp
            GUIControlProfiler.cpp
            GUIDialog.cpp
            GUIEditControl.cpp
            GUIFadeLabelControl.cpp
            GUIFixedListContainer.cpp
            GUIFont.cpp
            GUIFontCache.cpp
            GUIFontManager.cpp
            GUIFontTTF.cpp
            GUIImage.cpp
            GUIIncludes.cpp
            GUIKeyboardFactory.cpp
            GUILabelControl.cpp
            GUILabel.cpp
            GUIListContainer.cpp
            GUIListGroup.cpp
            GUIListItem.cpp
            GUIListItemLayout.cpp
            GUIListLabel.cpp
            GUIMessage.cpp
            GUIMoverControl.cpp
            GUIMultiImage.cpp
            GUIPanelContainer.cpp
            GUIProgressControl.cpp
            GUIRadioButtonControl.cpp
            GUIRenderingControl.cpp
            GUIResizeControl.cpp
            GUIRSSControl.cpp
            GUIScrollBarControl.cpp
            GUISettingsSliderControl.cpp
            GUISliderControl.cpp
            GUISpinControl.cpp
            GUISpinControlEx.cpp
            GUIStaticItem.cpp
            GUITextBox.cpp
            GUITextLayout.cpp
            GUITexture.cpp
            GUIToggleButtonControl.cpp
            GUIVideoControl.cpp
            GUIVisualisationControl.cpp
            GUIWindow.cpp
            GUIWindowManager.cpp
            GUIWrappingListContainer.cpp
            imagefactory.cpp
            IWindowManagerCallback.cpp
            LocalizeStrings.cpp
            StereoscopicsManager.cpp
            TextureBundle.cpp
            TextureBundleXBT.cpp
            Texture.cpp
            TextureManager.cpp
            VisibleEffect.cpp
            XBTF.cpp
            XBTFReader.cpp)

set(HEADERS DDSImage.h
            DirtyRegion.h
            DirtyRegionSolvers.h
            DirtyRegionTracker.h
            DispResource.h
            FFmpegImage.h
            gui3d.h
            GUIAction.h
            GUIAudioManager.h
            GUIBaseContainer.h
            GUIBorderedImage.h
            GUIButtonControl.h
            GUIColorManager.h
            GUIComponent.h
            GUIControl.h
            GUIControlFactory.h
            GUIControlGroup.h
            GUIControlGroupList.h
            GUIControlProfiler.h
            GUIControlLookup.h
            GUIDialog.h
            GUIEditControl.h
            GUIFadeLabelControl.h
            GUIFixedListContainer.h
            GUIFont.h
            GUIFontCache.h
            GUIFontManager.h
            GUIFontTTF.h
            GUIImage.h
            GUIIncludes.h
            GUIKeyboard.h
            GUIKeyboardFactory.h
            GUILabel.h
            GUILabelControl.h
            GUIListContainer.h
            GUIListGroup.h
            GUIListItem.h
            GUIListItemLayout.h
            GUIListLabel.h
            GUIMessage.h
            GUIMoverControl.h
            GUIMultiImage.h
            GUIPanelContainer.h
            GUIProgressControl.h
            GUIRadioButtonControl.h
            GUIRenderingControl.h
            GUIResizeControl.h
            GUIRSSControl.h
            GUIScrollBarControl.h
            GUISettingsSliderControl.h
            GUISliderControl.h
            GUISpinControl.h
            GUISpinControlEx.h
            GUIStaticItem.h
            GUITextBox.h
            GUITextLayout.h
            GUITexture.h
            GUIToggleButtonControl.h
            GUIVideoControl.h
            GUIVisualisationControl.h
            GUIWindow.h
            GUIWindowManager.h
            GUIWrappingListContainer.h
            IAudioDeviceChangedCallback.h
            IDirtyRegionSolver.h
            IGUIContainer.h
            iimage.h
            imagefactory.h
            IMsgTargetCallback.h
            IRenderingCallback.h
            ISliderCallback.h
            IWindowManagerCallback.h
            LocalizeStrings.h
            StereoscopicsManager.h
            Texture.h
            TextureBundle.h
            TextureBundleXBT.h
            TextureManager.h
            Tween.h
            VisibleEffect.h
            WindowIDs.h
            XBTF.h
            XBTFReader.h)

if(OPENGL_FOUND)
  list(APPEND SOURCES GUIFontTTFGL.cpp
                      GUITextureGL.cpp
                      Shader.cpp
                      TextureGL.cpp)
  list(APPEND HEADERS GUIFontTTFGL.h
                      GUITextureGL.h
                      Shader.h
                      TextureGL.h)
endif()

if(OPENGLES_FOUND)
  list(APPEND SOURCES GUIFontTTFGL.cpp
                      GUITextureGLES.cpp
                      Shader.cpp
                      TextureGL.cpp)
  list(APPEND HEADERS GUIFontTTFGL.h
                      GUITextureGLES.h
                      Shader.h
                      TextureGL.h)
endif()

if(CORE_PLATFORM_NAME_LC STREQUAL rbpi)
  list(APPEND SOURCES TexturePi.cpp)
  list(APPEND HEADERS TexturePi.h)
endif()

if(CORE_SYSTEM_NAME STREQUAL windows OR CORE_SYSTEM_NAME STREQUAL windowsstore)
  list(APPEND SOURCES D3DResource.cpp
                      DirectXGraphics.cpp
                      GUIFontTTFDX.cpp
                      GUIShaderDX.cpp
                      GUITextureD3D.cpp
                      TextureDX.cpp)
  list(APPEND HEADERS D3DResource.h
                      DirectXGraphics.h
                      GUIFontTTFDX.h
                      GUIShaderDX.h
                      GUITextureD3D.h
                      TextureDX.h)
endif()

core_add_library(guilib)

if(CORE_SYSTEM_NAME STREQUAL windows OR CORE_SYSTEM_NAME STREQUAL windowsstore)
  set(SHADERS_VERTEX guishader_vert.hlsl)
  set(SHADERS_PIXEL guishader_checkerboard_right.hlsl
                    guishader_checkerboard_left.hlsl
                    guishader_default.hlsl
                    guishader_fonts.hlsl
                    guishader_interlaced_right.hlsl
                    guishader_interlaced_left.hlsl
                    guishader_multi_texture_blend.hlsl
                    guishader_texture.hlsl
                    guishader_texture_noblend.hlsl)
  foreach(shader ${SHADERS_VERTEX})
    get_filename_component(file ${shader} NAME_WE)
    add_custom_command(OUTPUT ${file}.h
                       COMMAND ${FXC} /Fh ${file}.h /E VS /T vs_4_0_level_9_1 /Vn ${file} /Qstrip_reflect
                                      ${CMAKE_SOURCE_DIR}/system/shaders/${shader}
                       DEPENDS ${CMAKE_SOURCE_DIR}/system/shaders/${shader}
                       COMMENT "FX compile vertex shader ${shader}"
                       VERBATIM)
    list(APPEND SHADERS ${file}.h)
  endforeach()
  foreach(shader ${SHADERS_PIXEL})
    get_filename_component(file ${shader} NAME_WE)
    add_custom_command(OUTPUT ${file}.h
                       COMMAND ${FXC} /Fh ${file}.h /E PS /T ps_4_0_level_9_1 /Vn ${file} /Qstrip_reflect
                                      ${CMAKE_SOURCE_DIR}/system/shaders/${shader}
                       DEPENDS ${CMAKE_SOURCE_DIR}/system/shaders/${shader}
                       COMMENT "FX compile pixel shader ${shader}"
                       VERBATIM)
    list(APPEND SHADERS ${file}.h)
  endforeach()

  add_custom_target(generate_shaders ALL DEPENDS ${SHADERS})
  set_target_properties(generate_shaders PROPERTIES FOLDER "Build Utilities")
  target_include_directories(${CORE_LIBRARY} PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
  add_dependencies(${CORE_LIBRARY} generate_shaders)
endif()

=== xbmc/input/CMakeLists.txt ===
set(SOURCES AppTranslator.cpp
            ButtonTranslator.cpp
            CustomControllerTranslator.cpp
            GamepadTranslator.cpp
            InertialScrollingHandler.cpp
            InputCodingTableBaiduPY.cpp
            InputCodingTableBasePY.cpp
            InputCodingTableFactory.cpp
            InputCodingTableKorean.cpp
            InputManager.cpp
            InputTranslator.cpp
            IRTranslator.cpp
            JoystickMapper.cpp
            Key.cpp
            KeyboardLayout.cpp
            KeyboardLayoutManager.cpp
            KeyboardStat.cpp
            KeyboardTranslator.cpp
            Keymap.cpp
            KeymapEnvironment.cpp
            TouchTranslator.cpp
            WindowKeymap.cpp
            WindowTranslator.cpp
            XBMC_keytable.cpp)

set(HEADERS hardware/IHardwareInput.h
            remote/IRRemote.h
            AppTranslator.h
            ButtonTranslator.h
            CustomControllerTranslator.h
            GamepadTranslator.h
            IButtonMapper.h
            IKeymap.h
            IKeymapEnvironment.h
            InertialScrollingHandler.h
            InputCodingTable.h
            InputCodingTableBaiduPY.h
            InputCodingTableBasePY.h
            InputCodingTableFactory.h
            InputCodingTableKorean.h
            InputManager.h
            InputTranslator.h
            InputTypes.h
            IRTranslator.h
            JoystickMapper.h
            Key.h
            KeyboardLayout.h
            KeyboardLayoutManager.h
            KeyboardStat.h
            KeyboardTranslator.h
            Keymap.h
            KeymapEnvironment.h
            TouchTranslator.h
            WindowTranslator.h
            WindowKeymap.h
            XBMC_keyboard.h
            XBMC_keysym.h
            XBMC_keytable.h
            XBMC_vkeys.h)

core_add_library(input)

=== xbmc/network/CMakeLists.txt ===
set(SOURCES DNSNameCache.cpp
            EventClient.cpp
            EventPacket.cpp
            EventServer.cpp
            GUIDialogAccessPoints.cpp
            GUIDialogNetworkSetup.cpp
            Network.cpp
            NetworkServices.cpp
            Socket.cpp
            TCPServer.cpp
            UdpClient.cpp
            WakeOnAccess.cpp
            ZeroconfBrowser.cpp
            Zeroconf.cpp)

set(HEADERS DNSNameCache.h
            EventClient.h
            EventPacket.h
            EventServer.h
            GUIDialogAccessPoints.h
            GUIDialogNetworkSetup.h
            Network.h
            NetworkServices.h
            Socket.h
            TCPServer.h
            UdpClient.h
            WakeOnAccess.h
            Zeroconf.h
            ZeroconfBrowser.h)

if(ENABLE_OPTICAL)
  list(APPEND SOURCES cddb.cpp)
  list(APPEND HEADERS cddb.h)
endif()

if(PLIST_FOUND)
  list(APPEND SOURCES AirPlayServer.cpp)
  list(APPEND HEADERS AirPlayServer.h
                      DllLibPlist.h)
endif()

if(SHAIRPLAY_FOUND)
  list(APPEND SOURCES AirTunesServer.cpp)
  list(APPEND HEADERS AirTunesServer.h
                      DllLibShairplay.h)
endif()

if(MICROHTTPD_FOUND)
  list(APPEND SOURCES WebServer.cpp)
  list(APPEND HEADERS WebServer.h)
endif()

core_add_library(network)
if(BLUETOOTH_FOUND)
  target_compile_definitions(${CORE_LIBRARY} PRIVATE -DHAVE_LIBBLUETOOTH=1)
endif()

if(ENABLE_UPNP)
  target_include_directories(${CORE_LIBRARY} PRIVATE ${CMAKE_SOURCE_DIR}/lib/libUPnP
                                                     ${CMAKE_SOURCE_DIR}/lib/libUPnP/Platinum/Source/Core
                                                     ${CMAKE_SOURCE_DIR}/lib/libUPnP/Platinum/Source/Platinum
                                                     ${CMAKE_SOURCE_DIR}/lib/libUPnP/Platinum/Source/Devices/MediaConnect
                                                     ${CMAKE_SOURCE_DIR}/lib/libUPnP/Platinum/Source/Devices/MediaRenderer
                                                     ${CMAKE_SOURCE_DIR}/lib/libUPnP/Platinum/Source/Devices/MediaServer
                                                     ${CMAKE_SOURCE_DIR}/lib/libUPnP/Platinum/Source/Extras
                                                     ${CMAKE_SOURCE_DIR}/lib/libUPnP/Neptune/Source/System/Posix
                                                     ${CMAKE_SOURCE_DIR}/lib/libUPnP/Neptune/Source/Core)
endif()

=== debian/changelog ===
kodi (2:18.6+dfsg1-2ubuntu1) focal; urgency=medium

  * Still ship with pycryptodome support.
    Python-pycryptodome is still present in Ubuntu thus pycryptodome support can
    be kept enabled.

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 03 Apr 2020 15:18:51 +0200

kodi (2:18.6+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Drop pycryptodome support with Python 2
  * debian/control: Revert kodi-data to depend on python-pil instead of python3-pil.
    Kodi runs addons with Python 2 and many addons would break without PIL.
  * Run kodi-ps3remote with Python 3
  * Apply suggestion to debian/rules
  * debian/rules: Ship debug symbols for all kodi binaries and drop -dbg migration
    (Closes: #955134)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 03 Apr 2020 13:48:30 +0200

kodi (2:18.6+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:39:01 +0100

kodi (2:18.6+dfsg1-1~exp1) experimental; urgency=medium

  * test: Disable flaky TestMassEvent.General test, too

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 19 Mar 2020 21:41:10 +0100

kodi (2:18.6+dfsg1-1~exp0) experimental; urgency=medium

  * debian/rules: Set -DWITH_ARCH=... and -DNEON=False explicitly for armel,
    armhf, ppc64el and s390x. Those Debian architectures are not detected
    properly by upstream CMake scripts.
  * Build-depend on python2-dev
  * Reposition "from debian" on the main screen to adjust to the changed new
    skin
  * Don't strip service.xbmc.versioncheck addon from upstream tarball
  * New upstream version 18.6
  * Ship versioncheck addon disabled
  * Disable long-time failing test and fix others instead of ignoring all test
    results
  * Drop obsolete patches
  * Drop 03-privacy.patch and add TODO item about resurrecting it properly
  * Refresh patches
  * Run kodi-send with Python 3
  * test: Disable flaky TestMassEvent.Polling test
  * Fix ppc64el build
  * Fix arch detection
  * test: Skip checking errno against ENOEN to not FTBFS on armhf

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 18 Mar 2020 12:09:23 +0100

=== debian/control ===
Source: kodi
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Section: video
Priority: optional
Build-Depends: autoconf,
               automake,
               autopoint,
               cmake,
               curl,
               debhelper-compat (= 10),
               default-jre,
               dh-python,
               doxygen,
               fontforge-nox,
               fonts-dejavu-core,
               fonts-droid-fallback,
               libflatbuffers-dev,
               gawk,
               gettext,
               gperf,
               groovy,
               librsvg2-bin,
               libasound2-dev | libasound-dev,
               libass-dev,
               libavahi-client-dev,
               libavahi-common-dev,
               libavcodec-dev (>= 7:2.7.1),
               libavfilter-dev (>= 7:2.7.1),
               libavformat-dev (>= 7:2.7.1),
               libavutil-dev (>= 7:2.7.1),
               libbluetooth-dev,
               libbluray-dev (>= 1:0.7.0),
               libcap-dev,
               libcdio-dev,
               libcec-dev (>= 4~),
               libp8-platform-dev,
               libcommons-lang-java,
               libcurl4-gnutls-dev | libcurl-dev,
               libcwiid-dev [linux-any],
               libdbus-1-dev,
               libcrossguid-dev,
               libdrm-dev,
#               libdvdnav-dev, use patched embedded version
#               libdvdread-dev, use patched embedded version
               libegl1-mesa-dev,
               libenca-dev,
               libfmt-dev,
               libfontconfig-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libfstrcmp-dev,
               libgbm-dev,
               libgcrypt-dev,
               libgif-dev,
               libgl1-mesa-dev | libgl-dev,
               libglew-dev,
               libglu1-mesa-dev | libglu-dev,
               libgnutls28-dev,
               libgpg-error-dev,
               libgtest-dev,
               libinput-dev,
               libiso9660-dev,
               libjpeg-dev,
               liblcms2-dev,
               liblirc-dev | liblircclient-dev,
               libltdl-dev,
               liblzo2-dev,
               libmicrohttpd-dev,
               default-libmysqlclient-dev,
               libnfs-dev,
               libomxil-bellagio-dev [armel],
               libpcre3-dev,
               libplist-dev,
               libpng-dev,
               libpostproc-dev (>= 7:2.7.1),
               libpulse-dev,
# TODO check if it can be packaged
#               libshairplay-dev,
               libsmbclient-dev,
               libsqlite3-dev,
               libswscale-dev (>= 7:2.7.1),
               libtag1-dev (>= 1.8),
               libtinyxml-dev,
               libtool,
               libudev-dev,
               libva-dev,
               libvdpau-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               libxslt1-dev,
               libxt-dev,
               nasm [i386],
               python2-dev,
               python3-dev,
               rapidjson-dev,
               swig,
               unzip,
               uuid-dev,
               valgrind [amd64 i386],
               wayland-protocols,
               waylandpp-dev,
               zip,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi.git
Homepage: https://kodi.tv/

Package: kodi
Architecture: any
Depends: kodi-bin (>= ${source:Version}),
         kodi-bin (<< ${source:Version}.1~),
         kodi-data (>= ${source:Version}),
         ${misc:Depends}
Recommends: kodi-repository-kodi | kodi-repository,
            kodi-visualization-spectrum
Breaks: xbmc (<< 2:13.2+dfsg1-5~), ${kodi:APIBREAKS}
Provides: ${kodi:APIPROVIDES}
Replaces: xbmc (<< 2:13.2+dfsg1-5~)
Description: Open Source Home Theatre (executable binaries)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the kodi binaries.

Package: kodi-data
Architecture: all
Multi-Arch: foreign
Depends: mesa-utils,
         x11-utils,
         libjs-jquery,
         libjs-iscroll,
         python-pil,
         python-pycryptodome,
         ${python:Depends},
         ${python3:Depends},
         ${misc:Depends}
Recommends: fonts-noto-hinted,
            fonts-noto-mono,
            fonts-roboto-unhinted
Breaks: xbmc (<< 2:13.2+dfsg1-5~)
Replaces: xbmc (<< 2:13.2+dfsg1-5~)
Description: Open Source Home Theatre (arch-independent data package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working Kodi.

Package: kodi-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${dlopenlibs:Depends},
         ${misc:Depends},
         kodi-x11 (= ${binary:Version}) | kodi-wayland (= ${binary:Version}) | kodi-gbm (= ${binary:Version})
Recommends: ${shlibs:Recommends},
            udisks2
Pre-Depends: ${misc:Pre-Depends}
Breaks: xbmc-bin (<< 2:13.2+dfsg1-5~)
Conflicts: libgl1-mesa-swx11
Replaces: xbmc-bin (<< 2:13.2+dfsg1-5~)
Description: Open Source Home Theatre (architecture-dependent files)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the binaries needed to have a working Kodi.

Package: kodi-x11
Architecture: any
Depends: kodi-bin (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Source Home Theatre (architecture-dependent files)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the binaries needed to have a working Kodi
 on X11.

Package: kodi-wayland
Architecture: any
Depends: kodi-bin (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Source Home Theatre (architecture-dependent files)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the binaries needed to have a working Kodi
 on Wayland compositors.

Package: kodi-gbm
Architecture: any
Depends: kodi-bin (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Source Home Theatre (architecture-dependent files)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to

=== debian/tests/control ===
Tests: gui
Depends: imagemagick, kodi, kodi-eventclients-kodi-send, xauth, xvfb
Restrictions: isolation-container allow-stderr

=== debian/watch ===
version=3
opts=repack,compression=xz,repacksuffix=+dfsg1,uversionmangle=s/\([\.0-9a-zA-Z]\)-.*$/\1/;s/rc/~rc/;s/a/~alpha/;s/b/~beta/,dversionmangle=s/[-.+~]?(git|snapshot|repack|dfsg)(.*)$//i,pasv \
https://github.com/xbmc/xbmc/tags .*archive/?(\d\S*)-[A-Z].*\.tar\.gz
